Parchment Docs

Proxy

Proxy endpoints

Proxy Loom tile service

GET
/proxy/loom/{service}/geo/{z}/{x}/{y}

Path Parameters

serviceRequiredstring
zRequiredstring
xRequiredstring
yRequiredstring

Response Body

curl -X GET "https://example.com/proxy/loom/string/geo/string/string/string"
fetch("https://example.com/proxy/loom/string/geo/string/string/string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/proxy/loom/string/geo/string/string/string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/proxy/loom/string/geo/string/string/string"

response = requests.request("GET", url)

print(response.text)
Empty

Proxy Mapillary vector tiles

GET
/proxy/mapillary/{dataset}/{version}/{z}/{x}/{y}

Path Parameters

datasetRequiredstring
versionRequiredstring
zRequiredstring
xRequiredstring
yRequiredstring

Response Body

curl -X GET "https://example.com/proxy/mapillary/string/string/string/string/string"
fetch("https://example.com/proxy/mapillary/string/string/string/string/string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/proxy/mapillary/string/string/string/string/string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/proxy/mapillary/string/string/string/string/string"

response = requests.request("GET", url)

print(response.text)
Empty

Proxy Transitland route tiles

GET
/proxy/transitland/routes/{z}/{x}/{y}

Path Parameters

zRequiredstring
xRequiredstring
yRequiredstring

Response Body

curl -X GET "https://example.com/proxy/transitland/routes/string/string/string"
fetch("https://example.com/proxy/transitland/routes/string/string/string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/proxy/transitland/routes/string/string/string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/proxy/transitland/routes/string/string/string"

response = requests.request("GET", url)

print(response.text)
Empty

Proxy Transitland stop tiles

GET
/proxy/transitland/stops/{z}/{x}/{y}

Path Parameters

zRequiredstring
xRequiredstring
yRequiredstring

Response Body

curl -X GET "https://example.com/proxy/transitland/stops/string/string/string"
fetch("https://example.com/proxy/transitland/stops/string/string/string")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://example.com/proxy/transitland/stops/string/string/string"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://example.com/proxy/transitland/stops/string/string/string"

response = requests.request("GET", url)

print(response.text)
Empty